import { Router } from "express";
import { getSiliconFlowModelList } from "../services/llm";
import logger from "../utils/logger";

const router = Router();

router.post('/getSiliconFlowModelList', async (req, res) => {
  const { apiKey } = req.body;

  if (!apiKey) {
    res.status(400).json({
      code: 400,
      message: 'apiKey 不能为空'
    });
    return;
  }
  try {
    const models = await getSiliconFlowModelList(apiKey);

    res.json({
      code: 200,
      data: models
    });
  } catch (error) {
    logger.error(error);
    res.status(500).json({
      code: 500,
      message: '获取模型列表失败'
    });
  }
});

export default router;